C(1)

NAME
c - genericised soft drink generator (ie coffee, coke etc)

SYNOPSIS
c [-s[number]] [-m[type]] [-e] [-i] [-T] [-S amount] [--other=drink]

DESCRIPTION
This manual page documents the GNU version of c. c is a genericised soft drinks engine designed to provide a stream of the desired beverage on the standard output. By default, c makes coffee, white, no sugar. This is a historical choice based on the authors preferences. This behaviour is controlled by the options, and a wide range of other drinks are possible. Please note that not all combinations make sense, in taste terms, but that parsing by c extends only to syntax. Experiment at your own risk.

OPTIONS

-s[number]
    Specifies the number of sugars desired. If this option is omitted, none will be included. Excessively large values will result in unpleasant side effects, including rotting teeth and excess weight. If this option is specified with no parameter, the default is one.

-m[type]
    Determines whether milk will be used or not. The default corresponds to the specification 'cold'. cold - Normal, cold milk hot Normal, hot milk frth Frothed milk (see -e option for cappucino) none No milk. Recommended for those who have a deadline. goat Use your imagination.

-e  Espresso option. High pressure steam is forced through fine ground dark beans for a stronger brew; careful use of the -S option is advised to avoid shaky hands and heart palpitations (see BUGS).

-i  Iced coffee. Self explanatory really...

-T  Turkish coffee. The only type of coffee that is boiled deliberately. -s2 or more recommended to avoid grimaces.

-S[amount]
    Size of the virtual 'mug' to be filled. The scale used is fairly arbitrary, but should cover most cases... 1 thimbleful 2 espresso cup 3 cafe-style coffee cup 4 office mug 5 sysadmin mug 6 bucket Use of -S 6 is contraindicated for use with n(1), due to possible damage to t he nasal membranes, and risk of drowning. The default is 4; unless a beta version of the OS is installed, when the default is 5. If the beta is of Digital UNIX, 6 is the default; you'll need it.

--other=drink
    Specify a drink other than coffee. Use of other options is not recommended; the behaviour is unspecified!

BUGS
Caffeine overdose can result by inadvised combinations of options (ie -e and large values for -S). If you suffer from increased heart rate, visual disturbance, shaking hands, shortness of breath, it is suggested that you discontinue use. A -d (decaf) option was included in previous versions, but was removed after a threatened litigation arising from an unfortunate practical joke involving misuse.

SEE ALSO
n(1)

AUTHOR
Nick Williams, New College, Oxford University. nickw@iname.com.